.coming-soon-page {
  @import '../../../themes/variables/font';
  @import '../../../themes/variables/color';
  @import '../../../themes/mixins/adaptive';

  @include mobile {
    display: initial;

    .e-body {
      .fold {
        &.one {
          max-width: 100vw !important;

          .body {
            flex-direction: column;
            align-items: center;
            justify-content: flex-start;

            margin-top: 18.3vh;
            height: 100%;

            .intro-video {
              &,
              .intro {
                width: 100vw;
                height: calc(100vw * 9 / 16);
              }
            }

            .side-text {
              align-self: center;
              margin-top: 2.1rem;

              color: $blue-2;
              font-family: $specific-font-1;
              font-size: 4rem;
              letter-spacing: -0.08rem;
              line-height: normal;
              text-align: center;
              white-space: nowrap;
            }
          }

          .footer {
            position: absolute;
            bottom: 2.4rem;
            align-items: flex-start;
            justify-content: center;

            width: 100%;
            height: initial;
            max-height: initial;

            .scrolldown-button {
              flex-direction: column;

              .icon {
                margin-bottom: 4.6rem;
              }

              .button-label {
                font-size: 1.4rem;
                font-weight: 200;
              }
            }
          }
        }
      }
    }
  }
}
